# JsDoc Reference - Ciform.ciphers.RSAPublicKey

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.ciphers.RSAPublicKey

Formal description of a public RSA key.
Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.ciphers.RSAPublicKey()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| e Public exponent as an array of 28 bits integers
| mpi (not used) e + modulus, encoded into a base64 Multi-Precision Integer string
| p (not used) Prime factor p, as an array of 28 bits integers
| pq Modulus, as an array of 28 bits integers
| q (not used) Prime factor q, as an array of 28 bits integers
| size (not used) Size of the key, in bits
| type Type of the key : must be "rsa".

Class Detail
Ciform.ciphers.RSAPublicKey()
Field Detail
{Array(Number)} e
Public exponent as an array of 28 bits integers

{Array(Number)} mpi
(not used) e + modulus, encoded into a base64 Multi-Precision Integer string

{Array(Number)} p
(not used) Prime factor p, as an array of 28 bits integers

{Array(Number)} pq
Modulus, as an array of 28 bits integers

{Array(Number)} q
(not used) Prime factor q, as an array of 28 bits integers

{Number} size
(not used) Size of the key, in bits

{String} type
Type of the key : must be "rsa".

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)